Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#20453 closed enhancement (fixed)

Update bwauth setup.sh to use tor 0.2.8.9

Reported by: teor Owned by: aagbsn
Priority: Medium Milestone:
Component: Core Tor/Torflow Version:
Severity: Normal Keywords: easy
Cc: Actual Points:
Parent ID: Points: 0.1
Reviewer: Sponsor:

Description

Currently, the bwauth script uses tor 0.2.6, which is getting pretty old.
There are performance and security improvements in 0.2.8, so we sould use that.

Child Tickets

Attachments (1)

0006-Use-Tor-0.2.8-for-bandwidth-scanners.patch (910 bytes) - added by teor 3 years ago.
Patch for this issue

Download all attachments as: .zip

Change History (5)

Changed 3 years ago by teor

Patch for this issue

comment:1 Changed 3 years ago by teor

Status: newneeds_review

comment:2 Changed 3 years ago by tom

I had been using 0.2.8.9 myself for... some time. I've switched to the release-0.2.8 branch to test this.

comment:3 Changed 3 years ago by tom

Resolution: fixed
Status: needs_reviewclosed

comment:4 Changed 3 years ago by teor

Thanks!
(At some point we might want to upgrade to 0.2.9 or the next LTS release. But there's nothing in 0.2.9 that bwauths really need, as far as I know.)

Note: See TracTickets for help on using tickets.